# MedicalCertificatePatientInfoFieldType enum

Type of a field in the patient info box.

Inheritance
  - Object
  - Enum
  - MedicalCertificatePatientInfoFieldType
Available extensions
  - EnumName

## Values

INSURANCE_PROVIDER → const MedicalCertificatePatientInfoFieldType

  Insurance provider (Krankenkasse bzw. Kostenträger).

FIRST_NAME → const MedicalCertificatePatientInfoFieldType

  First name (Vorname des Versicherten).

LAST_NAME → const MedicalCertificatePatientInfoFieldType

  Last name (Name des Versicherten).

ADDRESS_STRING1 → const MedicalCertificatePatientInfoFieldType

  First line of address.

ADDRESS_STRING2 → const MedicalCertificatePatientInfoFieldType

  Second line of address.

DIAGNOSE → const MedicalCertificatePatientInfoFieldType

  Diagnose.

HEALTH_INSURANCE_NUMBER → const MedicalCertificatePatientInfoFieldType

  Number of the health insurance provider (Kostenträgerkennung).

INSURED_PERSON_NUMBER → const MedicalCertificatePatientInfoFieldType

  Personal number of the insured person (Versicherten-Nr.).

STATUS → const MedicalCertificatePatientInfoFieldType

  Status.

PLACE_OF_OPERATION_NUMBER → const MedicalCertificatePatientInfoFieldType

  Number of the place of operation (Betriebsstätten-Nr.).

DOCTOR_NUMBER → const MedicalCertificatePatientInfoFieldType

  Number of the doctor (Arzt-Nr.).

UNDEFINED → const MedicalCertificatePatientInfoFieldType

  Undefined.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<MedicalCertificatePatientInfoFieldType>
  A constant List of the values in this enum, in order of their declaration.